Bug 195867 - Review Request: tetex-IEEEtran Official LaTeX class for IEEE transactions
Review Request: tetex-IEEEtran Official LaTeX class for IEEE transactions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
: 195868 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-18 20:28 EDT by Rick L Vinyard Jr
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 23:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick L Vinyard Jr 2006-06-18 20:28:40 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/tetex-IEEEtran.spec
SRPM URL: http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/tetex-IEEEtran-1.6c-1.src.rpm
Description: 

This package is based on the tetex-bytefield spec with a few modifications.

The IEEEtran class is the official LaTeX class for authors of the
Institute of Electrical and Electronics Engineers (IEEE) transactions
journals and conferences.

The only thing I'm not too sure how to handle is interaction with something such as lyx. lyx needs to have a regneration performed, and I can do that with %post and %postun, but I'm not sure how to handle it when lyx is changed (or if I even need to).
Comment 1 Rick L Vinyard Jr 2006-06-18 20:31:51 EDT
*** Bug 195868 has been marked as a duplicate of this bug. ***
Comment 2 Parag AN(पराग) 2006-06-19 00:54:55 EDT
Review for this package:-
    Mock Build Results for i386 
       -Successfully built on i386
MUST Items:
     - MUST: rpmlint shows error 
        W: tetex-IEEEtran invalid-license Perl Artistic License
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package IEEEtran.zip, is not
in the format IEEEtran.spec
      You CAN change upstream package name to tetex-IEEEtran.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is NOT licensed with any open-source compatible license.
      - MUST: The License field in the package tetex-IEEEtran.spec file is NOT
included in upstream tarball.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like README.
Comment 3 Jason Tibbitts 2006-06-19 17:58:27 EDT
Builds fine in mock (x86_64, development). rpmlint errors as above; you just
need to change your license tag to "Artistic".

You should supply the full URL to the source if you can (so folks can just run
spectool -g to download the upstream sources for your package).  You have the
URL in there but commented out so perhaps there's something I'm not understanding.

Regarding lyx, what needs to be generated?  Does lyx generate what it needs when
it installs?  If so, then you can just do the necessary setup conditionally
based on whether you find lyx there or not.  Otherwise you need to use triggers
or get the lyx packagers to set something up for you.  It's probably best to
talk to them anyway.

Review:
* package meets naming and packaging guidelines (we have no specific guidelines
for tetex-subpackages)
X specfile is properly named, is cleanly written and uses macros consistently
(see source URL issue above)
* dist tag is present.
* build root is correct.
O license field matches the actual license (use "Artistic" to appease rpmlint)
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (x86_64, development).
X rpmlint complains about license tag
* final provides and requires are sane:
   tetex-IEEEtran = 1.6c-1.fc6
  =
   /bin/sh
   /usr/bin/texhash
   tetex-latex
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* scriptlets present and OK (texhash calls)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 4 Rick L Vinyard Jr 2006-06-21 23:53:05 EDT
Thanks for the feedback. Here's rev 2...

Spec URL: http://miskatonic.dyn-o-saur.com/pub/tetex-IEEEtran.spec
SRPM URL: http://miskatonic.dyn-o-saur.com/pub/fedora/5/srpms/tetex-IEEEtran-
1.6c-1.src.rpm

And the changelog...
- Changed License tag from Perl Artistic License to Artistic
- Added IEEEtrantools to package
- Put full URL into source

As for the URL, the commented out URL was in tetex-bytefield so I left it like 
that for now. It seems to work fine uncommented though. Maybe tetex-bytefield 
needs and update????

As for lyx, I'm not sure if it's possible to update without user intervention, 
but I'll contact the lyx maintainers anyway. But, for now this should be a 
complete tetex package.
Comment 5 Rick L Vinyard Jr 2006-06-21 23:54:49 EDT
It looks like the URL broke across two lines.

SRPM URL: http://miskatonic.dyn-o-saur.com/pub/fedora/5/srpms/tetex-IEEEtran-
1.6c-1.src.rpm
Comment 6 Rick L Vinyard Jr 2006-06-22 00:57:05 EDT
All that, and I didn't even update the SRPM link... one last try to correct the 
revision. I'm pretty sure you'll have to copy and paste the URL in pieces 
rather than using the link.

SRPM URL: http://miskatonic.dyn-o-saur.com/pub/fedora/5/srpms/tetex-IEEEtran-
1.6c-2.src.rpm
Comment 7 Jason Tibbitts 2006-06-22 22:22:32 EDT
The issues I had are fixed; everything looks good.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.